SELECT Код_типа_фундамента INTO #TmpTable FROM Справочник_типов_фундаментов
SET IDENTITY_INSERT Справочник_типов_фундаментов ON

IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_фундамента = 1) INSERT INTO Справочник_типов_фундаментов (Код_типа_фундамента,Описание) VALUES (1,'ленточный железобетонный')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_фундамента = 2) INSERT INTO Справочник_типов_фундаментов (Код_типа_фундамента,Описание) VALUES (2,'свайный')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_фундамента = 3) INSERT INTO Справочник_типов_фундаментов (Код_типа_фундамента,Описание) VALUES (3,'блочный')

SET IDENTITY_INSERT Справочник_типов_фундаментов OFF
DROP TABLE #TmpTable
